import css from './index.module.css';
import {Spin} from 'antd';
import {FC} from 'react';

type Props = {
  tip: string;
  width?: string;
  height?: string;
};

const Loading: FC<Props> = function({tip, width, height}) {
  return (
    <section className={css.loading} style={{width, height}}>
      <Spin tip={tip} />
    </section>
  );
};

export default Loading;
